#include <bits/stdc++.h>

using namespace std;

int main()
{
	int n, x, temp;
	scanf("%d%d",&n,&x);
	vector<int> arr;
	for(int i=0;i<n;i++){
		scanf("%d",&temp);
		arr.push_back(temp);
	}
	sort(arr.begin(),arr.end());
	//printf("arr_back:%d\tarr_front:%d\n",arr.back(),arr.front());
	if(arr.back()<=x){
        printf("%d",(arr.front()-x));
        return 0;
	}
	if(arr.front()>=x){
        printf("%d",abs(arr.back()-x));
        return 0;
	}
	if(abs(arr.front()-x) >abs(arr.back()-x))
    {
        printf("%d",(2*abs(arr.back()-x)+abs(arr.front()-x)));
        return 0;
    }
    else{
        printf("%d",(abs(arr.back()-x)+2*abs(arr.front()-x)));
        return 0;
    }
    return 0;
}